Clusters - List By Resource Group

List all HCI clusters in a resource group.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureStackHCI/clusters?api-version=2024-04-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ClusterList

OK

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List clusters in a given resource group

Sample request

GET https://management.azure.com/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/clusters?api-version=2024-04-01

Sample response

{
  "value": [
    {
      "id": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/clusters/myCluster1",
      "name": "myCluster1",
      "type": "Microsoft.AzureStackHCI/clusters",
      "location": "East US",
      "tags": {},
      "systemData": {
        "createdBy": "user1",
        "createdByType": "User",
        "createdAt": "2020-01-01T17:18:19.1234567Z",
        "lastModifiedBy": "user2",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
      },
      "properties": {
        "provisioningState": "Succeeded",
        "status": "NotYetRegistered",
        "connectivityStatus": "NotYetRegistered",
        "cloudId": "91c2b355-4826-4e96-9164-e3f26dcf1cdd",
        "cloudManagementEndpoint": "https://98294836-31be-4668-aeae-698667faf99b.waconazure.com",
        "aadClientId": "515da1c2-379e-49b4-9975-09e3e40c86be",
        "aadTenantId": "7e589cc1-a8b6-4dff-91bd-5ec0fa18db94",
        "desiredProperties": {
          "windowsServerSubscription": "Enabled",
          "diagnosticLevel": "Basic"
        },
        "reportedProperties": {},
        "trialDaysRemaining": 29,
        "billingModel": "Trial"
      }
    },
    {
      "id": "/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/clusters/myCluster2",
      "name": "myCluster2",
      "type": "Microsoft.AzureStackHCI/clusters",
      "location": "East US",
      "tags": {},
      "systemData": {
        "createdBy": "user1",
        "createdByType": "User",
        "createdAt": "2020-01-01T17:18:19.1234567Z",
        "lastModifiedBy": "user2",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
      },
      "properties": {
        "provisioningState": "Succeeded",
        "status": "ConnectedRecently",
        "connectivityStatus": "PartiallyConnected",
        "cloudId": "a3c0468f-e38e-4dda-ac48-817f620536f0",
        "cloudManagementEndpoint": "https://98294836-31be-4668-aeae-698667faf99b.waconazure.com",
        "aadClientId": "24a6e53d-04e5-44d2-b7cc-1b732a847dfc",
        "aadTenantId": "7e589cc1-a8b6-4dff-91bd-5ec0fa18db94",
        "desiredProperties": {
          "windowsServerSubscription": "Enabled",
          "diagnosticLevel": "Basic"
        },
        "reportedProperties": {
          "clusterName": "cluster1",
          "clusterId": "a76ac23a-1819-4e82-9410-e3e4ec3d1425",
          "clusterVersion": "10.0.17777",
          "clusterType": "ThirdParty",
          "manufacturer": "Dell Inc.",
          "oemActivation": "Disabled",
          "nodes": [
            {
              "name": "Node1",
              "id": 0,
              "windowsServerSubscription": "Enabled",
              "manufacturer": "Dell Inc.",
              "model": "EMC AX740",
              "osName": "Azure Stack HCI",
              "osVersion": "10.0.17777.1061",
              "serialNumber": "Q45CZC3",
              "coreCount": 8,
              "memoryInGiB": 128,
              "oemActivation": "Enabled"
            },
            {
              "name": "Node2",
              "id": 1,
              "windowsServerSubscription": "Enabled",
              "manufacturer": "Dell Inc.",
              "model": "EMC AX740",
              "osName": "Azure Stack HCI",
              "osVersion": "10.0.17777.1061",
              "serialNumber": "Q44BSC3",
              "coreCount": 8,
              "memoryInGiB": 128,
              "oemActivation": "Enabled"
            },
            {
              "name": "Node3",
              "id": 2,
              "windowsServerSubscription": "Enabled",
              "manufacturer": "Dell Inc.",
              "model": "EMC AX740",
              "osName": "Azure Stack HCI",
              "osVersion": "10.0.17777.1061",
              "serialNumber": "Q44RFC3",
              "coreCount": 16,
              "memoryInGiB": 256,
              "oemActivation": "Disabled"
            }
          ],
          "lastUpdated": "2020-03-11T19:24:42.1946017Z",
          "imdsAttestation": "Disabled",
          "diagnosticLevel": "Basic"
        },
        "trialDaysRemaining": 30,
        "billingModel": "Trial",
        "registrationTimestamp": "2020-03-11T20:44:32.5625121Z",
        "lastSyncTimestamp": "2020-03-11T20:44:32.5625121Z",
        "lastBillingTimestamp": "2020-03-12T08:12:55.2312022Z"
      }
    }
  ]
}

Definitions

Name Description
AccessLevel

Remote Support Access Level

Cluster

Cluster details.

ClusterDesiredProperties

Desired properties of the cluster.

ClusterList

List of clusters.

ClusterNode

Cluster node details.

ClusterNodeType

Type of the cluster node hardware.

ClusterReportedProperties

Properties reported by cluster agent.

ConnectivityStatus

Overall connectivity status for the cluster resource.

createdByType

The type of identity that created the resource.

DiagnosticLevel

Desired level of diagnostic data emitted by the cluster.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ImdsAttestation

IMDS attestation status of the cluster.

IsolatedVmAttestationConfiguration

Attestation configurations for isolated VM (e.g. TVM, CVM) of the cluster.

LogCollectionError

Log Collection Error details of the cluster.

LogCollectionJobType

LogCollection job type

LogCollectionProperties

Log Collection properties of the cluster.

LogCollectionSession

Log Collection Session details of the cluster.

LogCollectionStatus

LogCollection status

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

OemActivation

OEM activation status of the node.

PerNodeRemoteSupportSession

Remote Support Node Session Details on the Node.

ProvisioningState

Provisioning state.

RemoteSupportNodeSettings

Remote Support Node Settings of the cluster.

RemoteSupportProperties

Remote Support properties of the cluster.

RemoteSupportType

Remote Support Type for cluster

SoftwareAssuranceIntent

Customer Intent for Software Assurance Benefit.

SoftwareAssuranceProperties

Software Assurance properties of the cluster.

SoftwareAssuranceStatus

Status of the Software Assurance for the cluster.

Status

Status of the cluster agent.

systemData

Metadata pertaining to creation and last modification of the resource.

UserAssignedIdentity

User assigned identity properties

WindowsServerSubscription

Desired state of Windows Server Subscription.

AccessLevel

Remote Support Access Level

Value Description
Diagnostics
DiagnosticsAndRepair

Cluster

Cluster details.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity.principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

identity.tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

identity.type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

identity.userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned Identities
The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.aadApplicationObjectId

string

Object id of cluster AAD identity.

properties.aadClientId

string

App id of cluster AAD identity.

properties.aadServicePrincipalObjectId

string

Id of cluster identity service principal.

properties.aadTenantId

string

Tenant id of cluster AAD identity.

properties.billingModel

string

Type of billing applied to the resource.

properties.cloudId

string

Unique, immutable resource id.

properties.cloudManagementEndpoint

string

Endpoint configured for management from the Azure portal.

properties.connectivityStatus

ConnectivityStatus

Overall connectivity status for the cluster resource.

properties.desiredProperties

ClusterDesiredProperties

Desired properties of the cluster.

properties.isolatedVmAttestationConfiguration

IsolatedVmAttestationConfiguration

Attestation configurations for isolated VM (e.g. TVM, CVM) of the cluster.

properties.lastBillingTimestamp

string (date-time)

Most recent billing meter timestamp.

properties.lastSyncTimestamp

string (date-time)

Most recent cluster sync timestamp.

properties.logCollectionProperties

LogCollectionProperties

Log Collection properties of the cluster.

properties.provisioningState

ProvisioningState

Provisioning state.

properties.registrationTimestamp

string (date-time)

First cluster sync timestamp.

properties.remoteSupportProperties

RemoteSupportProperties

RemoteSupport properties of the cluster.

properties.reportedProperties

ClusterReportedProperties

Properties reported by cluster agent.

properties.resourceProviderObjectId

string

Object id of RP Service Principal

properties.serviceEndpoint

string

Region specific DataPath Endpoint of the cluster.

properties.softwareAssuranceProperties

SoftwareAssuranceProperties

Software Assurance properties of the cluster.

properties.status

Status

Status of the cluster agent.

properties.trialDaysRemaining

number

Number of days remaining in the trial period.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ClusterDesiredProperties

Desired properties of the cluster.

Name Type Description
diagnosticLevel

DiagnosticLevel

Desired level of diagnostic data emitted by the cluster.

windowsServerSubscription

WindowsServerSubscription

Desired state of Windows Server Subscription.

ClusterList

List of clusters.

Name Type Description
nextLink

string

Link to the next set of results.

value

Cluster[]

List of clusters.

ClusterNode

Cluster node details.

Name Type Description
coreCount

number

Number of physical cores on the cluster node.

ehcResourceId

string

Edge Hardware Center Resource Id

id

number

Id of the node in the cluster.

lastLicensingTimestamp

string (date-time)

Most recent licensing timestamp.

manufacturer

string

Manufacturer of the cluster node hardware.

memoryInGiB

number

Total available memory on the cluster node (in GiB).

model

string

Model name of the cluster node hardware.

name

string

Name of the cluster node.

nodeType

ClusterNodeType

Type of the cluster node hardware.

oemActivation

OemActivation

OEM activation status of the node.

osDisplayVersion

string

Display version of the operating system running on the cluster node.

osName

string

Operating system running on the cluster node.

osVersion

string

Version of the operating system running on the cluster node.

serialNumber

string

Immutable id of the cluster node.

windowsServerSubscription

WindowsServerSubscription

State of Windows Server Subscription.

ClusterNodeType

Type of the cluster node hardware.

Value Description
FirstParty
ThirdParty

ClusterReportedProperties

Properties reported by cluster agent.

Name Type Description
clusterId

string

Unique id generated by the on-prem cluster.

clusterName

string

Name of the on-prem cluster connected to this resource.

clusterType

ClusterNodeType

The node type of all the nodes of the cluster.

clusterVersion

string

Version of the cluster software.

diagnosticLevel

DiagnosticLevel

Level of diagnostic data emitted by the cluster.

imdsAttestation

ImdsAttestation

IMDS attestation status of the cluster.

lastUpdated

string (date-time)

Last time the cluster reported the data.

manufacturer

string

The manufacturer of all the nodes of the cluster.

nodes

ClusterNode[]

List of nodes reported by the cluster.

oemActivation

OemActivation

OEM activation status of the cluster.

supportedCapabilities

string[]

Capabilities supported by the cluster.

ConnectivityStatus

Overall connectivity status for the cluster resource.

Value Description
NotYetRegistered
Connected
NotConnectedRecently
PartiallyConnected
Disconnected
NotSpecified

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DiagnosticLevel

Desired level of diagnostic data emitted by the cluster.

Value Description
Off
Basic
Enhanced

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ImdsAttestation

IMDS attestation status of the cluster.

Value Description
Disabled
Enabled

IsolatedVmAttestationConfiguration

Attestation configurations for isolated VM (e.g. TVM, CVM) of the cluster.

Name Type Description
attestationResourceId

string (arm-id)

Fully qualified Azure resource id of the Microsoft Azure attestation resource associated with this cluster.

attestationServiceEndpoint

string

Region specific endpoint for Microsoft Azure Attestation service for the cluster

relyingPartyServiceEndpoint

string

Region specific endpoint for relying party service.

LogCollectionError

Log Collection Error details of the cluster.

Name Type Description
errorCode

string

Error Code of the log collection

errorMessage

string

Error Message of the log collection

LogCollectionJobType

LogCollection job type

Value Description
OnDemand
Scheduled

LogCollectionProperties

Log Collection properties of the cluster.

Name Type Description
fromDate

string (date-time)

From DateTimeStamp from when logs need to be connected

lastLogGenerated

string (date-time)

Recent DateTimeStamp where logs are successfully generated

logCollectionSessionDetails

LogCollectionSession[]

Log Collection Session details of the cluster.

toDate

string (date-time)

To DateTimeStamp till when logs need to be connected

LogCollectionSession

Log Collection Session details of the cluster.

Name Type Description
correlationId

string

CorrelationId of the log collection

endTimeCollected

string (date-time)

End Time of the logs when it was collected

logCollectionError

LogCollectionError

Log Collection Error details of the cluster.

logCollectionJobType

LogCollectionJobType

LogCollection job type

logCollectionStatus

LogCollectionStatus

LogCollection status

logEndTime

string (date-time)

End Time of the logs when it was collected

logSize

integer (int64)

Size of the logs collected

logStartTime

string (date-time)

Start Time of the logs when it was collected

timeCollected

string (date-time)

Duration of logs collected

LogCollectionStatus

LogCollection status

Value Description
None
InProgress
Failed
Succeeded

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned, UserAssigned

OemActivation

OEM activation status of the node.

Value Description
Disabled
Enabled

PerNodeRemoteSupportSession

Remote Support Node Session Details on the Node.

Name Type Description
accessLevel

AccessLevel

Remote Support Access Level

duration

integer (int64)

Duration of Remote Support Enablement

nodeName

string

Name of the node

sessionEndTime

string (date-time)

Remote Support Session EndTime on the Node

sessionStartTime

string (date-time)

Remote Support Session StartTime on the Node

ProvisioningState

Provisioning state.

Value Description
Succeeded
Failed
Canceled
Accepted
Provisioning
NotSpecified
Creating
Updating
Deleting
Moving
Deleted
PartiallySucceeded
InProgress
DisableInProgress
Connected
PartiallyConnected
Disconnected

RemoteSupportNodeSettings

Remote Support Node Settings of the cluster.

Name Type Description
arcResourceId

string

Arc ResourceId of the Node

connectionErrorMessage

string

Remote Support Access Connection Error Message on the Node

connectionStatus

string

Remote Support Access Connection Status on the Node

createdAt

string (date-time)

Remote Support Enablement Request Created TimeStamp on the Node

state

string

Remote Support Access Connection State on the Node

transcriptLocation

string

Remote Support Transcript location on the node

updatedAt

string (date-time)

Remote Support Enablement Request Updated TimeStamp on the Node

RemoteSupportProperties

Remote Support properties of the cluster.

Name Type Description
accessLevel

AccessLevel

Remote Support Access Level

expirationTimeStamp

string (date-time)

Expiration DateTimeStamp when Remote Support Access will be expired

remoteSupportNodeSettings

RemoteSupportNodeSettings[]

Remote Support Node Settings of the cluster.

remoteSupportSessionDetails

PerNodeRemoteSupportSession[]

Remote Support Node Session Details on the Node.

remoteSupportType

RemoteSupportType

Remote Support Type for cluster

RemoteSupportType

Remote Support Type for cluster

Value Description
Enable
Revoke

SoftwareAssuranceIntent

Customer Intent for Software Assurance Benefit.

Value Description
Enable
Disable

SoftwareAssuranceProperties

Software Assurance properties of the cluster.

Name Type Description
lastUpdated

string (date-time)

TimeStamp denoting the latest SA benefit applicability is validated.

softwareAssuranceIntent

SoftwareAssuranceIntent

Customer Intent for Software Assurance Benefit.

softwareAssuranceStatus

SoftwareAssuranceStatus

Status of the Software Assurance for the cluster.

SoftwareAssuranceStatus

Status of the Software Assurance for the cluster.

Value Description
Enabled
Disabled

Status

Status of the cluster agent.

Value Description
NotYetRegistered
ConnectedRecently
NotConnectedRecently
Disconnected
Error
NotSpecified
ValidationInProgress
ValidationSuccess
ValidationFailed
DeploymentInProgress
DeploymentFailed
DeploymentSuccess

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserAssignedIdentity

User assigned identity properties

Name Type Description
clientId

string (uuid)

The client ID of the assigned identity.

principalId

string (uuid)

The principal ID of the assigned identity.

WindowsServerSubscription

Desired state of Windows Server Subscription.

Value Description
Disabled
Enabled